## org.apache.batik.parser
Interface ClockHandler

public interface ClockHandler

This interface must be implemented and then registred as the handler of a `ClockParser` instance in order to be notified of parsing events.

Method Summary
`void` `colon()` Invoked when ':' has been parsed.
`void` `dot()` Invoked when '.' has been parsed.
`void` `endClock()` Invoked when the clock attribute parsing ends.
`void` `h()` Invoked when 'h' has been parsed.
`void` `intValue(int v)` Invoked when an int value has been parsed.
`void` `min()` Invoked when 'min' has been parsed.
`void` `ms()` Invoked when 'ms' has been parsed.
`void` `s()` Invoked when 's' has been parsed.
`void` `startClock()` Invoked when the clock attribute parsing starts.

Method Detail

### startClock

    public void startClock()
                    throws ParseException

  Invoked when the clock attribute parsing starts.

  Throws:
    `ParseException` - if an error occured while processing the clock

### intValue

    public void intValue(int v)
                  throws ParseException

  Invoked when an int value has been parsed.

  Throws:
    `ParseException` - if an error occured while processing the clock

### colon

    public void colon()
               throws ParseException

  Invoked when ':' has been parsed.

  Throws:
    `ParseException` - if an error occured while processing the clock

### dot

    public void dot()
             throws ParseException

  Invoked when '.' has been parsed.

  Throws:
    `ParseException` - if an error occured while processing the clock

### h

    public void h()
           throws ParseException

  Invoked when 'h' has been parsed.

  Throws:
    `ParseException` - if an error occured while processing the clock

### min

    public void min()
             throws ParseException

  Invoked when 'min' has been parsed.

  Throws:
    `ParseException` - if an error occured while processing the clock

### s

    public void s()
           throws ParseException

  Invoked when 's' has been parsed.

  Throws:
    `ParseException` - if an error occured while processing the clock

### ms

    public void ms()
            throws ParseException

  Invoked when 'ms' has been parsed.

  Throws:
    `ParseException` - if an error occured while processing the clock

### endClock

    public void endClock()
                  throws ParseException

  Invoked when the clock attribute parsing ends.

  Throws:
    `ParseException` - if an error occured while processing the clock

Copyright © 2004 Apache Software Foundation. All Rights Reserved.